$AdfDhtmlSelectOneChoicePeer$$.$_SUB_ID_MAP$ = {dropdown:"drop"};
$AdfDhtmlSelectOneChoicePeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlSelectOneChoicePeer$$$$$GetSubIdDomElement$$($subElementId$$60$$) {
  var $component$$2463$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementDelegateSuper$($subElementId$$60$$, $AdfDhtmlSelectOneChoicePeer$$.$_SUB_ID_MAP$, $component$$2463$$, this, $AdfDhtmlSelectOneChoicePeer$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectOneChoicePeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlSelectOneChoicePeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlSelectOneChoicePeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlSelectOneChoicePeer$$$$$GetBestMatchSubId$$($domElement$$690$$) {
  var $subId$$64$$ = $AdfSubIdUtils$$.$getBestMatchSubIdDelegateSuper$($domElement$$690$$, this, $AdfDhtmlSelectOneChoicePeer$$.$_SUB_ID_MAP$, $AdfDhtmlSelectOneChoicePeer$$);
  $subId$$64$$ || ($subId$$64$$ = $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$690$$, this, $AdfDhtmlSelectOneChoicePeer$$.$_SUB_ID_MAP$));
  if (!$subId$$64$$ && ("OPTION" == $domElement$$690$$.tagName || "LI" == $domElement$$690$$.tagName)) {
    var $component$$2464_domNode$$112_optionsList_popId$$ = this.$getDomNode$(), $attribute$$6$$;
    this.$_isNativeSelectNotSupported$($component$$2464_domNode$$112_optionsList_popId$$) ? ($component$$2464_domNode$$112_optionsList_popId$$ = this.$getComponent$(), $component$$2464_domNode$$112_optionsList_popId$$ = this.$_POPUP_ID$ ? $AdfRichUIPeer$$.$CreateSubId$($component$$2464_domNode$$112_optionsList_popId$$.$getClientId$(), this.$_POPUP_ID$) : $AdfRichUIPeer$$.$CreateSubId$($component$$2464_domNode$$112_optionsList_popId$$.$getClientId$(), "pop"), $component$$2464_domNode$$112_optionsList_popId$$ = 
    $AdfAgent$$.$AGENT$.getElementById($component$$2464_domNode$$112_optionsList_popId$$), $component$$2464_domNode$$112_optionsList_popId$$ = $component$$2464_domNode$$112_optionsList_popId$$.getElementsByTagName("LI"), $attribute$$6$$ = "_adfiv") : ($component$$2464_domNode$$112_optionsList_popId$$ = $component$$2464_domNode$$112_optionsList_popId$$.getElementsByTagName("OPTION"), $attribute$$6$$ = "value");
    for (var $i$$762$$ = 0;$i$$762$$ < $component$$2464_domNode$$112_optionsList_popId$$.length;$i$$762$$++) {
      if ($component$$2464_domNode$$112_optionsList_popId$$[$i$$762$$] == $domElement$$690$$) {
        $subId$$64$$ = "item[" + $component$$2464_domNode$$112_optionsList_popId$$[$i$$762$$].getAttribute($attribute$$6$$) + "]";
        break;
      }
    }
  }
  return $subId$$64$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectOneChoicePeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlSelectOneChoicePeer$$.prototype.$GetBestMatchSubId$});
